UPDATE-PASSWD(8)

NOMBRE
update-passwd - Actualiza /etc/passwd, /etc/shadow y /etc/group de forma segura

SINOPSIS
update-passwd [opciones]

DESCRIPCIÓN
update-passwd se encarga de actualizar «/etc/passwd», «/etc/shadow» y «/etc/group» en sistemas Debian. Compara los ficheros actuales con las copias originales, distribuidas en el paquete base-passwd, y actualiza todas las entradas en el rango global del sistema (esto es, 0–99).

OPCIONES
update-passwd sigue la sintaxis habitual GNU en línea de órdenes, con opciones largas precedidas por dos guiones (‘-’).

-p, --passwd-master=FICHERO
    Usa FICHERO como la copia original de la base de datos para passwd. El valor predeterminado es /usr/share/base-passwd/passwd.master.

-g, --group-master=FICHERO
    Usa FICHERO como la copia original de la base de datos para group. El valor predeterminado es /usr/share/base-passwd/group.master.

-P, --passwd=FICHERO
    Usa FICHERO como la base de datos del sistema para passwd. El valor predeterminado es /etc/passwd.

-S, --shadow=FICHERO
    Usa FICHERO como la base de datos del sistema para shadow. El valor predeterminado es /etc/shadow.

-G, --group=FICHERO
    Usa FICHERO como la base de datos del sistema para group. El valor predeterminado es /etc/group.

-s, --sanity-check
    Sólo realiza comprobaciones de calidad, pero no hace nada.

-v, --verbose
    Ofrece información detallada de las acciones realizadas. Una segunda «-v» aumenta el detalle.

-n, --dry-run
    No hace nada, pero muestra qué se haría.

-L, --no-locking
    No intenta bloquear la base de datos de las cuentas. Sólo debería usar esto con propósitos de depuración. I Repito: ¡No haga esto a menos que realmente lo necesite!

-h, --help
    Muestra un resumen de cómo utilizar update-passwd.

-V, --version
    Muestra el número de versión.

FALLOS
En este momento, update-passwd no comprueba el fichero «shadow». Debería comprobar si las entradas en «passwd» también lo están en «shadow», y viceversa, y que ninguna contraseña está presente en ambos ficheros.

AUTOR
Wichert Akkerman <wakkerma@debian.org>

Este programa se ha creado para el proyecto Debian, y los derechos de autor son Wichert Akkerman, 1999–2002, y Colin Watson, 2002 - 2003. Se distribuye bajo la versión 2 de la licencia GNU General Public License.